# coding: Shift_JIS
import cv2
import math
import numpy as np

file_src = 'src.png'
file_dst = 'dst.png'
file_hst = 'hst.png'

img_src = cv2.imread(file_src, 0)

cv2.namedWindow('src')
cv2.namedWindow('dst')
cv2.namedWindow('hst')

min = 100
max = 200
img_dst = cv2.normalize(img_src, alpha = min, beta = max, norm_type = cv2.NORM_MINMAX)

# qXgO\pC256~100sNZC0ŏ
img_hst = np.zeros([100, 256]).astype('uint8')
rows, cols = img_hst.shape

# xz߂
hdims = [256]
hranges = [0, 256]
hist = cv2.calcHist([img_dst], [0], None, hdims, hranges)

# x̍ől擾
min_val, max_val, min_loc, max_loc = cv2.minMaxLoc(hist)

for i in range(0, 255):
	v = hist[i]
	cv2.line(img_hst, (i, rows), (i, rows - rows * (v / max_val)), (255, 255, 255))

cv2.imshow('src', img_src) # ͉摜\
cv2.imshow('dst', img_dst) # o͉摜\
cv2.imshow('hst', img_hst) # o͉摜\
cv2.imwrite(file_dst, img_dst); # ʂ̕ۑ
cv2.imwrite(file_hst, img_hst); # ʂ̕ۑ

cv2.waitKey(0) # L[͑҂
cv2.destroyAllWindows()
