# coding: Shift_JIS
import cv2
import math
import numpy as np

file_src1 = 'src1.png'
file_src2 = 'src2.png'
file_dst = 'dst.png'

img_src1 = cv2.imread(file_src1, 1)
img_src2 = cv2.imread(file_src2, 1)

cv2.namedWindow('src1')
cv2.namedWindow('src2')
cv2.namedWindow('dst')

# ͉摜 1 ZW摜ɕϊ
img_g1 = cv2.cvtColor(img_src1, cv2.COLOR_BGR2GRAY)
# }XN摜̂߂̓l
img_mskg = cv2.threshold(img_g1, 200, 255, cv2.THRESH_BINARY_INV)[1]
# }XN摜 ( J[ ) 
img_msk = cv2.merge((img_mskg, img_mskg, img_mskg))
# ͉摜 1 }XN摜̕؂o ( ؂o摜 1)
img_s1m = cv2.bitwise_and(img_src1, img_msk)
# }XN摜̔]
img_mskn = cv2.bitwise_not(img_msk)
# ͉摜 2 }XN摜̔]؂o ( ؂o摜 2)
img_s2m = cv2.bitwise_and(img_src2, img_mskn)
# ؂o摜 1 Ɛ؂o摜 2 
img_dst = cv2.bitwise_or(img_s1m, img_s2m)

cv2.imshow('src1', img_src1) # ͉摜1\
cv2.imshow('src2', img_src2) # ͉摜2\
cv2.imshow('dst', img_dst) # o͉摜\
cv2.imwrite(file_dst, img_dst); # ʂ̕ۑ

cv2.waitKey(0) # L[͑҂
cv2.destroyAllWindows()
