# coding: Shift_JIS
import cv2
import math
import numpy as np

file_src = 'src.png'
file_bkg = 'bkg.png'
file_dst = 'dst.png'

img_src = cv2.imread(file_src, 0)
img_bkg = cv2.imread(file_bkg, 0)

cv2.namedWindow('src')
cv2.namedWindow('bkg')
cv2.namedWindow('dst')

# wi摜Ƃ̍摜vZ
img_df = cv2.absdiff(img_src, img_bkg)
# 摜̓l
img_m = cv2.threshold(img_df, 50, 255, cv2.THRESH_BINARY)[1]
# cEkă}XN摜𐶐
op = np.ones((3, 3), np.uint8)
img_md = cv2.dilate(img_m, op, iterations = 4)
img_msk = cv2.erode(img_md, op, iterations = 4)
# }XN摜gđΏۂ؂o
img_dst = cv2.bitwise_and(img_src, img_msk)

cv2.imshow('src', img_src) # ͉摜\
cv2.imshow('bkg', img_bkg) # wi摜\
cv2.imshow('dst', img_dst) # o͉摜\
cv2.imwrite(file_dst, img_dst); # ʂ̕ۑ

cv2.waitKey(0) # L[͑҂
cv2.destroyAllWindows()
